Work order operations
Replace a work order operation
Completely replaces the data of an existing work order operation with the provided payload.
Completely replaces the data of an existing work order operation with the provided payload.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
WorkOrderOperation identifier
Request Body
application/json
The updated WorkOrderOperation resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://api.skalasuite.com/api/work_order_operations/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 0,
"operation": {
"id": 0,
"name": "string"
},
"resource": {
"id": 0,
"name": "string"
},
"plannedTime": "string",
"cost": "string",
"status": "string",
"workOrder": {
"id": 0,
"code": "string",
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string"
},
"trackType": "string"
},
"variant": {
"id": 0,
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string"
},
"trackType": "string"
},
"name": "string"
},
"plannedQuantity": "string",
"description": "string",
"status": "string",
"materials": [
{
"id": 0,
"variant": {
"id": 0,
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string"
},
"trackType": "string"
},
"name": "string"
}
}
],
"invoice": {
"id": 0,
"contact": {
"id": 0,
"name": "string"
},
"code": "string",
"shipmentCode": "string",
"shipmentLink": "string",
"tags": "string"
}
},
"isActive": true,
"notes": "string",
"dependencies": [
{
"id": 0,
"name": "string"
}
],
"isLastOperation": true,
"totalCost": "string",
"plannedQuantity": 0,
"actualQuantity": 0,
"startDate": "string",
"endDate": "string"
}Empty
Empty
Empty
